Module java.desktop
Package javax.accessibility

# Class AccessibleResourceBundle

java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
javax.accessibility.AccessibleResourceBundle

@Deprecated public class AccessibleResourceBundle extends ListResourceBundle
Deprecated.
This class is deprecated as of version 1.3 of the Java Platform
A resource bundle containing the localized strings in the accessibility package. This is meant only for internal use by Java Accessibility and is not meant to be used by assistive technologies or applications.

## Nested Class Summary

## Nested classes/interfaces declared in class java.util.ResourceBundle

`ResourceBundle.Control`

## Field Summary

### Fields declared in class java.util.ResourceBundle

`parent`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleResourceBundle()`
Deprecated.
Constructs an `AccessibleResourceBundle`.

## Method Summary

Modifier and Type
Method
Description
`Object[][]`
`getContents()`
Deprecated.
Returns the mapping between the programmatic keys and the localized display strings.

### Methods declared in class java.util.ListResourceBundle

`getKeys, handleGetObject, handleKeySet`

### Methods declared in class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleResourceBundle

public AccessibleResourceBundle()
Deprecated.
Constructs an `AccessibleResourceBundle`.

## Method Details

### getContents

public Object[][] getContents()
Deprecated.
Returns the mapping between the programmatic keys and the localized display strings.

Specified by:
  `getContents` in class `ListResourceBundle`
Returns:
  an array of an `Object` array representing a key-value pair